Bug 1567922 - Manifest Upload: Unable to find org.candlepin.model.Entitlement with id
Summary: Manifest Upload: Unable to find org.candlepin.model.Entitlement with id
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Candlepin
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: 6.4.0
Assignee: satellite6-bugs
QA Contact: Perry Gagne
URL:
Whiteboard:
Depends On: 1618391
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-16 12:40 UTC by Sean O'Keeffe
Modified: 2019-11-05 23:15 UTC (History)
8 users (show)

Fixed In Version: candlepin-2.4.6-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1569611 1571354 1618391 (view as bug list)
Environment:
Last Closed: 2018-10-16 19:10:15 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Sean O'Keeffe 2018-04-16 12:40:37 UTC
Description of problem:

When trying to upload a new manifest or refresh one I get, "Failed to import archive" in the GUI. /var/log/candlepin/candlepin.log gives "javax.persistence.EntityNotFoundException: Unable to find org.candlepin.model.Entitlement with id ..." error.

Version-Release number of selected component (if applicable):
6.3.0

How reproducible:
every time on customers Satellite


Steps to Reproduce:
1. upload a new manifest
2.
3.

Actual results:
"Failed to import archive"

Expected results:
New subs to be available within Satellite

Additional info:

Comment 1 Barnaby Court 2018-04-16 12:51:02 UTC
Sean, Can you provide a dump of the current database & the manifest that you are atempting to import?

Comment 14 Bryan Kearney 2018-10-16 19:10:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.